# Generated from coreui-rails-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name coreui-rails

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Gem to add CoreUI-Free assets to your Rails asset pipeline
License: MIT
URL: https://github.com/pelted/coreui-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A is a simple gem for adding the CoreUI-Free admin template (by Łukasz
Holeczek) to a Rails project's asset pipeline.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rbenv-gemsets
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/main.js
%{gem_instdir}/manifest.yml
%{gem_instdir}/package.json
%{gem_instdir}/vendor
%{gem_instdir}/yarn.lock
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/coreui-rails.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.0-1
- Initial package
